Skip to content
LogoLogo

Upgrade

AppliedPlan

GET/cosmos/upgrade/v1beta1/applied_plan/{name}

AppliedPlan queries a previously applied upgrade plan by its name.

Path Parameters

nameRequired
string

name is the name of the applied plan to query for.

Responses

Returns

GET/cosmos/upgrade/v1beta1/authority

Returns the account with authority to conduct upgrades

Responses

CurrentPlan

GET/cosmos/upgrade/v1beta1/current_plan

CurrentPlan queries the current upgrade plan.

Responses

ModuleVersions

GET/cosmos/upgrade/v1beta1/module_versions

ModuleVersions queries the list of module versions from state.

Query Parameters

module_name
string

module_name is a field to query a specific module consensus version from state. Leaving this empty will fetch the full list of module versions from state.

Responses

UpgradedConsensusState

GET/cosmos/upgrade/v1beta1/upgraded_consensus_state/{last_height}

UpgradedConsensusState queries the consensus state that will serve as a trusted kernel for the next version of this chain. It will only be stored at the last height of this chain. UpgradedConsensusState RPC not supported with legacy querier This rpc is deprecated now that IBC has its own replacement (https://github.com/cosmos/ibc-go/blob/2c880a22e9f9cc75f62b527ca94aa75ce1106001/proto/ibc/core/client/v1/query.proto#L54)

Path Parameters

last_heightRequired
string <int64>

last height of the current chain must be sent in request as this is the height under which next consensus state is stored

Responses